ACPIDUMP(1)

NAME
acpidump - ACPI table dump utility

SYNOPSIS
acpidump [<option>...]

DESCRIPTION
This manual page briefly documents the acpidump command. The option list is taken from the interactive help.

The acpidump command extracts the ACPI tables currently in use from the running kernel in a form usable for later processing by the acpixtract command.

Invocation of acpidump without parameters will dump all available ACPI tables. Multiple mixed instances of the -a , -f , and -n parameters can be used.

OPTIONS

-b  Dump tables in binary format (versus the default human-readable form)

-h | -?
    Display this help message

-o <file>
    Redirect output to a file. This file can be used later by acpixtract to examine the contents of the ACPI tables.

-s  Print table summaries only.

-v  Print the version of this utility.

-z  Verbose mode.

-a <address>
    Get a table from a physical address (must be superuser and you must be careful which address you use -- dmesg will typically report the addresses for the various tables).

-f <binary-file>
    Get a table from a binary file (see the -b option).

-n <signature>
    Get a table via it's name or signature (e.g., MADT or SSDT).

SEE ALSO
acpixtract(1)

AUTHOR
acpidump was written by Robert Moore <robert.moore@intel.com> and Chao Guan <chao.guan@intel.com>.

This manual page was written by Al Stone <ahs3@redhat.com> for the Fedora project (but may be used by others).